#include <iostream>
#include <bits/stdc++.h>
using namespace std;
 
int main()
{
    int N,i;
    string alfabet;
    cin>>alfabet;
    if(alfabet=="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
        cout<<0;
    if(alfabet!="ABCDEFGHIJKLMNOPQRSTUVWXYZ")
        cout<<0;
    
    
}